/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2011
 *
 *    File name   : MAG3310.c
 *    Description : API for the Freescale MAG3110 3-Axis, Digital Magnetometer
 *
 *    History :
 *    1. Date        : 14 July 2011
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _MAG3110_H
#define _MAG3110_H

typedef struct _MAG3110_VALUES {
	INT16 x;
	INT16 y;
	INT16 z;
	INT8 tempr;
} MAG3110_VALUES;	

/******************************************************************************
* Description: MAG3110_Initialize(..) - initializes pins and registers of the MAG3310
*				Also enables automatic sampling
* Input: 	none
* Output: 	none
* Return:	0 if sucessfully initialized, -1 if error occured 
*******************************************************************************/
char MAG3110_Initialize(void);

/******************************************************************************
* Description: MAG3110_ReadAll(..) - reads the results of the last sampling
* Input: 	none
* Output: 	none
* Return:	
*******************************************************************************/
char MAG3110_ReadAll(MAG3110_VALUES *pVal);

#endif // _MAG3110_H



